/*
* ==============================================================================
*  Name        : helix_features.h
*  Part of     : 
*  Interface   : Header File to indicate presence of helix supported features in an S60 release
*  Description : 
*  Version     : 0.1
*
*  Copyright  2005 Nokia. All rights reserved.
*  This material, including documentation and any related 
*  computer programs, is protected by copyright controlled by 
*  Nokia. All rights are reserved. Copying, including 
*  reproducing, storing, adapting or translating, any 
*  or all of this material requires the prior written consent of 
*  Nokia. This material also contains confidential 
*  information which may not be disclosed to others without the 
*  prior written consent of Nokia.
* ==============================================================================
*/

#ifndef HELIX_FEATURES_H
#define HELIX_FEATURES_H


#include <bldvariant.hrh>

#define S60_HX_TRICK_PLAY
#define S60_HX_AVI_FILEFORMAT

// Feature flag to enable Helix NGA Support
#define S60_HX_GRAPHICS_SURFACE

// Enables Helix modifications to cover devsound convergence changes
#define S60_HX_CONVERGED_DEVSOUND

// Enables Helix Scheduler Pause 
#define S60_HX_ENABLE_SCHEDULER_PAUSE


#endif      // HELIX_FEATURES_H
            
// End of File
